aboutsummaryrefslogtreecommitdiff
path: root/utilities/locate
diff options
context:
space:
mode:
Diffstat (limited to 'utilities/locate')
-rwxr-xr-xutilities/locate/locate.build93
-rw-r--r--utilities/locate/mlocate-0.26-config.patch.xzbin0 -> 332 bytes
-rw-r--r--utilities/locate/mlocate-0.26-cron.patch.xzbin0 -> 228 bytes
-rw-r--r--utilities/locate/mlocate-0.26-nobranding.patch.xzbin0 -> 2544 bytes
4 files changed, 93 insertions, 0 deletions
diff --git a/utilities/locate/locate.build b/utilities/locate/locate.build
new file mode 100755
index 0000000..26759e8
--- /dev/null
+++ b/utilities/locate/locate.build
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=locate
+VERSION=0.26
+BUILD=2
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: locate
+${NAME}:
+${NAME}: A tool to help you locate files on the system. It maintains a
+${NAME}: database of all files on the system, updating it regularly.
+${NAME}:
+${NAME}: Homepage: https://fedorahosted.org/mlocate
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+cat >> ${PKG}/install/doinst.sh <<EOF
+#!/bin/sh
+
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/conf.d/updatedb.conf.new
+
+if ! grep ^locate: etc/group 1> /dev/null 2> /dev/null ; then
+ echo "locate::21:" >> etc/group
+fi
+
+if [ ! -d var/cache/locate ]; then
+ mkdir -p var/cache/locate
+ chown root.locate var/cache/locate
+ chmod 0750 var/cache/locate
+fi
+
+chown root.locate usr/bin/locate
+chmod 2755 usr/bin/locate
+EOF
+
+# Sources
+
+SRCNAME[0]=mlocate
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=https://fedorahosted.org/releases/m/l/mlocate/${SRCNAME[0]}-${SRCVERS[0]}.tar.xz
+SRCCOPY[0]="GPL2"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-rpath \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[conf]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}/cache"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+install.dir ${PKG}${SYS_DIR[etc]}/{conf.d,cron.daily}
+install.bin locate.cron ${PKG}${SYS_DIR[etc]}/cron.daily/locate
+install.cfg updatedb.conf ${PKG}${SYS_DIR[conf]}/updatedb.conf.new
+}
diff --git a/utilities/locate/mlocate-0.26-config.patch.xz b/utilities/locate/mlocate-0.26-config.patch.xz
new file mode 100644
index 0000000..a5e284a
--- /dev/null
+++ b/utilities/locate/mlocate-0.26-config.patch.xz
Binary files differ
diff --git a/utilities/locate/mlocate-0.26-cron.patch.xz b/utilities/locate/mlocate-0.26-cron.patch.xz
new file mode 100644
index 0000000..44e8dd9
--- /dev/null
+++ b/utilities/locate/mlocate-0.26-cron.patch.xz
Binary files differ
diff --git a/utilities/locate/mlocate-0.26-nobranding.patch.xz b/utilities/locate/mlocate-0.26-nobranding.patch.xz
new file mode 100644
index 0000000..cb46493
--- /dev/null
+++ b/utilities/locate/mlocate-0.26-nobranding.patch.xz
Binary files differ